{
    attributes = (
        {
            allowsNull = Y; 
            columnName = "BONI_DUREE"; 
            externalType = VARCHAR2; 
            name = boniDuree; 
            valueClassName = NSString; 
            valueType = S; 
            width = 6; 
        }, 
        {
            columnName = "BONI_ORDRE"; 
            externalType = NUMBER; 
            name = boniOrdre; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "D_ARRIVEE"; 
            externalType = DATE; 
            name = dateArrivee; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            columnName = "D_DEB_BONIFICATION"; 
            externalType = DATE; 
            name = dateDebut; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            allowsNull = Y; 
            columnName = "D_FIN_BONIFICATION"; 
            externalType = DATE; 
            name = dateFin; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            columnName = "D_CREATION"; 
            externalType = DATE; 
            name = dCreation; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            columnName = "D_MODIFICATION"; 
            externalType = DATE; 
            name = dModification; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            columnName = "NBO_ORDRE"; 
            externalType = NUMBER; 
            name = nboOrdre; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "NBOT_ORDRE"; 
            externalType = NUMBER; 
            name = nbotOrdre; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "NBT_ORDRE"; 
            externalType = NUMBER; 
            name = nbtOrdre; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "NO_DOSSIER_PERS"; 
            externalType = NUMBER; 
            name = noDossierPers; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "TEM_VALIDE"; 
            externalType = VARCHAR2; 
            name = temValide; 
            valueClassName = NSString; 
            valueType = S; 
            width = 1; 
        }
    ); 
    attributesUsedForLocking = (boniDuree, boniOrdre, nboOrdre, nbotOrdre, nbtOrdre, noDossierPers, temValide); 
    className = "org.cocktail.connecteur.serveur.modele.entite_destination.EOMangueBonifications"; 
    classProperties = (
        boniDuree, 
        dateArrivee, 
        dateDebut, 
        dateFin, 
        dCreation, 
        dModification, 
        individu, 
        natureBonification, 
        taux, 
        temValide, 
        territoire
    ); 
    externalName = "MANGUE.BONIFICATIONS"; 
    fetchSpecificationDictionary = {}; 
    internalInfo = {
        "_clientClassPropertyNames" = (
            boniDuree, 
            dateArrivee, 
            dateDebut, 
            dateFin, 
            dCreation, 
            dModification, 
            individu, 
            natureBonification, 
            temValide
        ); 
    }; 
    name = MangueBonifications; 
    primaryKeyAttributes = (boniOrdre); 
    relationships = (
        {
            destination = GrhumIndividu; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = noIndividu; sourceAttribute = noDossierPers; }); 
            name = individu; 
        }, 
        {
            destination = NatureBonification; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = nboOrdre; sourceAttribute = nboOrdre; }); 
            name = natureBonification; 
        }, 
        {
            destination = NatureBonifTaux; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = nbtOrdre; sourceAttribute = nbtOrdre; }); 
            name = taux; 
        }, 
        {
            destination = NatureBonifTerritoire; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = nbotOrdre; sourceAttribute = nbotOrdre; }); 
            name = territoire; 
        }
    ); 
    userInfo = {
        "_EntityModeler" = {parentClassName = ObjetSIDestinatairePourPeriodeEtIndividu; }; 
    }; 
}
